org.bouncycastle.crypto.params

## Class DHPublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.crypto.params.DHKeyParameters
    - - org.bouncycastle.crypto.params.DHPublicKeyParameters

All Implemented Interfaces:
  CipherParameters

    public class DHPublicKeyParameters
    extends DHKeyParameters

### Constructor Summary

Constructors
Constructor and Description
`DHPublicKeyParameters(java.math.BigInteger y, DHParameters params)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`java.math.BigInteger` `getY()`
`int` `hashCode()`

### Methods inherited from class org.bouncycastle.crypto.params.DHKeyParameters

`getParameters`

### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

`isPrivate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DHPublicKeyParameters

    public DHPublicKeyParameters(java.math.BigInteger y,
                         DHParameters params)

### Method Detail

#### getY

    public java.math.BigInteger getY()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `DHKeyParameters`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `DHKeyParameters`